
TkDesk Change Log for Version 2.x:

2004-04-20  J. Chris Coppick <jchris@users.sourceforge.net>

        * tkdesk.main, tcldesk/Common.tcl, tcldesk/Desktop.tcl,
        tcldesk/DiskUsage.tcl, tcldesk/Editor.tcl, tcldesk/FileInfo.tcl,
        tcldesk/FileListbox.tcl, tcldesk/Frame.tcl, tcldesk/HistEntry.tcl,
        tcldesk/List.tcl, tcldesk/Periodic.tcl, tcldesk/Toplevel.tcl,
        tcldesk/Viewer.tcl, tcldesk/action.tcl, tcldesk/appbar-dialup.tcl,
        tcldesk/appbar.tcl, tcldesk/config.tcl, tcldesk/copy.tcl,
        tcldesk/cpanels.tcl, tcldesk/delete.tcl, tcldesk/dsk_Listbox.tcl,
        tcldesk/file_ops.tcl, tcldesk/find.tcl, tcldesk/history.tcl,
        tcldesk/itcl_reload.tcl, tcldesk/popup.tcl, tcldesk/update.tcl,
        tcldesk/util.tcl, tcldesk/cb_tools/help.tcl,
        tcldesk/cb_tools/itcl_reload.tcl, tcldesk/cb_tools/tools.tcl:


        For Itcl 3.3 compatibility, removed obsolete Itcl syntax:

          Use itcl::class instead of deprecated itcl_class
          Fixed deprecated "class :: method" syntax (removed spaces)
          Use "itcl::delete object $obj" instead of deprecated
	    "$obj delete"
          Use "itcl::delete class $class" instead of "rename $class {}"
          Use direct method calls instead of deprecated "virtual" command
          Use "eval configure $args" in place of deprecated magic
	    "config" arg
          Use correct protection declaration syntax:
              "public variable $var" instead of "public $var"
              "protected variable $var" instead of "protected $var"
              etc.
          Use itcl::find instead of deprecated itcl_info
          Use "$obj info variable ..." instead of "$obj info public ..."


2004-04-16  J. Chris Coppick <jchris@users.sourceforge.net>

        * libdesk/tixImgXpm.c:

        The Tk_ImageType structure member Tk_ImagePostscriptProc wasn't
        added until Tk 8.3, so now we only reference it if TK_MINOR_VERSION
        >= 3.

        Removed HAVE_TCL8_0_H cpp conditional.

2004-04-15  J. Chris Coppick <jchris@users.sourceforge.net>

        Released version 2.0 (Lazarus):

        Release 2.0 Highlights

           * Tcl/Tk 8.4 compatibility
   
           See the INSTALL file for detailed release requirements.

           * Dropped support for Tcl/Tk 7.x.
      
           * Mouse-wheel support
       
           Most text boxes and the file listings are now mouse-wheel enabled.
           The usage details haven't made it into the documentation yet,
           so here's the quick summary:

              o Your X11 server needs to be configured for mouse-wheel support.
              o The mouse wheel scrolls 5 lines at a time by default
              o Shift + the mouse wheel scrolls 1 line at a time
              o Ctrl + the mouse wheel scrolls 1 page at a time

           * Select two files, press a button, get a diff!

           This works great in conjunction with tkDiff.  The diff command used
           can be configured in your .tkdesk/System file.  The default "diff"
           button (on the button bar) is a picture of two overlapped pages.

           * Improved (hopefully) configure script

           * New TkDesk logo

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

        * tcldesk/appbar-trash.tcl:

        Saying 'no' to the new trashdir create dialog was causing problems.
         Fixed it so that 'no' means the trashdir button still gets
        created, even though the dir doesn't exist.  I imagine this really
        only matters during testdrives...

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

        * ChangeLog:

        Updated entries for release 2.0.

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

        * ChangeLog:

        Renamed CHANGES to ChangeLog.

        New ChangeLog format - now using CVS log info to generate ChangeLog
        entries.  This is terrible of course because now we'll have to get
        into the habit of providing meaningful log messages. :-)

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

        * CHANGES:

        Renamed CHANGES to ChangeLog

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

        * ChangeLog-1.x:

        Split out pre-2.0 version changes into a separate log file
        (ChangeLog-1.x).

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

        * Makefile.in:

        Changed 'CHANGES' to 'ChangeLog' (that's not confusing at all...)

        Removed the export target section as it was out-of-date with
        respect to the 2.0 distribution, plus the use of CVS obsoletes it,
        maybe.

        Removed the floppy target section.

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

        * tcldesk/help.tcl:

        Changed references to CHANGES to ChangeLog.

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

	* tkdesk.main:

	Updates for TkDesk 2.0 release...

	Version, date, copyright fixes

	No longer using clrpick.tcl or tkpatches.tcl.

	Changed authormail var to current maintainer's address

	Removed tkPriv refs for tk 8.4 compat.

	Blt drag-n-drop library file reference fix

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

	* README:

	Updates for TkDesk 2.0.

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

	* INSTALL:

	Many changes for TkDesk 2.0 (almost a complete rewrite), including
	updated requirements, etc.

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

	* CREDITS:

	Minor updates, additions

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

	* COPYING:

	Removed Itcl copyright (Itcl no longer included with TkDesk)

	TkDesk copyright date fix

2004-04-14  J. Chris Coppick <jchris@users.sourceforge.net>

	* contrib/follow_me.sh:

	Contributed shell functions for tying the cd shell command to
	TkDesk.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* configure:

	New autoconf'd version for TkDesk 2.0.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* configure.in:

	Fixed double equals in with-blt option help.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* config.h.in:

	Generated new version for TkDesk 2.0.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tkdeskclient/Makefile.in:

	fixed clean: target

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/static/: itcl3.0/itcl.tcl, itcl3.0/pkgIndex.tcl,
	tcl8.0/history.tcl, tcl8.0/init.tcl, tcl8.0/ldAix,
	tcl8.0/ldAout.tcl, tcl8.0/parray.tcl, tcl8.0/safe.tcl,
	tcl8.0/tclIndex, tcl8.0/word.tcl, tk8.0/bgerror.tcl,
	tk8.0/button.tcl, tk8.0/clrpick.tcl, tk8.0/comdlg.tcl,
	tk8.0/console.tcl, tk8.0/dialog.tcl, tk8.0/entry.tcl,
	tk8.0/focus.tcl, tk8.0/listbox.tcl, tk8.0/menu.tcl,
	tk8.0/msgbox.tcl, tk8.0/obsolete.tcl, tk8.0/optMenu.tcl,
	tk8.0/palette.tcl, tk8.0/prolog.ps, tk8.0/safetk.tcl,
	tk8.0/scale.tcl, tk8.0/scrlbar.tcl, tk8.0/tclIndex,
	tk8.0/tearoff.tcl, tk8.0/text.tcl, tk8.0/tk.tcl, tk8.0/tkfbox.tcl,
	tk8.0/xmfbox.tcl:

	Removed - do not want to be in the business of redistributing
	tcl/tk/itcl anymore.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* Makefile.in:

	Added -DUSE_NON_CONST to CC_OPTS for Tcl 8.4 compat.

	Removed STATIC_BUILD (standalone TkDesk) support.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tkAppInit.c:

	Removed HAVE_TCL8_0_H cpp conditional

	Removed static build (standalone TkDesk) support

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/tclIndex:

	Generated new version.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/cpanels.tcl:

	Using tk_chooseColor instead of dskColorDialog.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/config.tcl:

	StrictMotif look-n-feel now off by default.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* libdesk/ot.c:

	cast return values of Tcl_GetVar and Tcl_GetVar2

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* libdesk/tixImgXpm.c:

	postscriptProc member added to Tk_imageType structure init

	cast fixes

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* libdesk/ot.h:

	Removed HAVE_TCL8_0_H cpp conditional

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* libdesk/libdesk.h:

	Removed HAVE_TCL_8_0 cpp conditional.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* libdesk/init.c:

	dropped support for Tcl 7.x

	TkDesk version change

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* libdesk/dsk_ls.c:

	some type cast fixes

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/doc/: Guide, guide-1.html, guide-10.html, guide-11.html,
	guide-2.html, guide-3.html, guide-4.html, guide-5.html,
	guide-6.html, guide-7.html, guide-8.html, guide-9.html, guide.html:


	Regenerated to reflect changes in source SGML file.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/doc/License:

	Minor copyright change.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* doc/guide.txt:


	Regenerated to reflect changes in source SGML.

	Linuxdoc tools aren't quite working right (possibly user error), so
	a bit of munging was required to make the text acceptable to the
	TkDesk help browser.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* doc/guide.sgml:


	Version, dates, mailing lists, homepage, etc. changes...

	Some minor rewriting to reflect changes in default configuration,
	etc., and some rewriting for the heck of it.

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* doc/: cd-tkdesk.1, ed-tkdesk.1, od-tkdesk.1:

	Version, copyright fixes...

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* doc/tkdesk.1:

	Fixed version, some grammer...

2004-04-13  J. Chris Coppick <jchris@users.sourceforge.net>

	* doc/guide.ps:

	Dropping postscript version of the guide from the distribution.

2004-04-12  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/configs/: AppBar_Be, AppBar_Games:

	Minor updates to stay somewhat in sync with the standard AppBar.

2004-04-12  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/configs/AppBar:


	Mostly minor updates and tweaks.  I never really cared much for
	that comet...

2004-04-12  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/images/desk2.xpm:

	New desk'ish icon.

2004-04-12  J. Chris Coppick <jchris@users.sourceforge.net>

	* contrib/README:

	Wording update...

2004-04-12  J. Chris Coppick <jchris@users.sourceforge.net>

	* contrib/appbar-dialup.tcl.xisp:

	Contributed alternative version of appbar-dialup.tcl.

2004-04-12  J. Chris Coppick <jchris@users.sourceforge.net>

	* contrib/mail_hacks:

	This was a duplicate of the mh_hacks file.

2004-04-12  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/images/: maildog_empty.xpm, maildog_new.xpm:

	Contributing my maildog icons to TkDesk...

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/help.tcl:

	Another logo fix - removed non-existent bgcol var ($#@!!
	cut-n-paste error)

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/help.tcl:

	Fixed logo path.

	Misc. copyright date fixes.

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/util.tcl:

	Everybody's a critic.

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/file_ops.tcl:

	Added dsk_diff_files proc.

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/configs/System:

	Added tkdesk(cmd,diff) variable definition.

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/configs/ButtonBar:

	Added dsk_diff_files button for browers and lists.

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/images/twotexts.xpm:

	Small icon of two overlapping sheets of paper (representing a
	diff?)

2004-04-09  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/images/pda.xpm:

	Personal Digital Assistant icon

2004-04-08  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/cb_tools/bindings.tcl:

	Added mouse-wheel bindings for generic MouseWheelEnabled bindtag.

	The default mouse-wheel behavior is as follows:

	   The mouse wheel scrolls 5 lines at a time by default.
	   Shift + the mouse wheel scrolls 1 line at a time.
	   Ctrl + the mouse wheel scrolls 1 page at a time.

2004-04-08  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/dsk_Listbox.tcl:

	Made the dsk_Listbox a "MouseWheelEnabled" widget by modifying the
	bindtags.

2004-04-07  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/cb_tools/bindings.tcl:

	Adding bindings for mouse-wheels (based on patches provided by
	Johannes Drechsel-Burkhard).

2004-04-05  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/tclIndex:

	Generated new version.

2004-04-02  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/config.tcl:

	When reading System config, make sure dialogs font gets stored in
	the Tk option db.

2004-04-02  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/cb_tools/bindings.tcl:

	Exposed privates (oh my!) for tk8.4 fake compatibility:  I say
	"fake" because I'm cheating and using unsupported interfaces.  The
	bindings in question here apparently exist to work around issues
	with the strictMotif mode, which I'm not convinced is worth the
	trouble.  Either We'll have to find a truly compatible way to work
	around the issues, or drop the bindings entirely (depending on how
	many people care about the strictMotif mode).

2004-03-11  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/cb_tools/dialog.tcl:

	Transition away from custom dialog towards tk_dialog (avoids
	accessing protected vars as of tk 8.4).  Now cb_dialog() wraps
	tk_dialog(), and all the cb_dialog wrappers call tk_dialog()
	directly.

	One consequence is that dialogs in TkDesk now respond to the
	<Return> key which is bound to the default dialog button (i.e.
	<Return> ignores the current button focus).  Hopefully that's not a
	huge issue.  Maybe we can work around it later.

	Another consequence is that we must use the tk option database to
	set the dialog fonts, but we should probably be doing that anyway.
	Right?

2004-03-11  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/cb_tools/help.tcl:

	Restore lazy state before returning after an error has occurred.

2004-03-11  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/tkpatches.tcl:

	As of tk 8.4, most of the procs re-defined in tkpatches.tcl have
	been moved into the private 'tk' namespace, and most of them have
	apparently been re-coded in later releases of Tk obsoleting many of
	the bug fixes implemented by tkpatches.tcl (no doubt new bugs were
	added though... :-) ).	Therefore, we're removing tkpatches.tcl
	from the dist. as of TkDesk 2.0.  This may result in some bug
	regressions, but we'll deal with those as they get noticed
	("re-noticed?").

2004-03-10  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/: List.tcl, Viewer.tcl:

	Removed non-tcl/tk 8.x code (and associated tests).

	Replaced tkMbPost and tkMenuFirstEntry (protected procs as of tk
	8.4) with hopefully similar code.  (There may still be some widget
	focus issues to work out...)

2004-03-10  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/Editor.tcl:

	Removed tkTextClosestGap (a protected proc as of tk 8.4) and went
	back to just using 'index @$x,$y'.  Let's see if anyone notices...

2004-03-10  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/appbar.tcl:

	Replaced tkMenuInvoke (a protected proc as of tk 8.4) references
	with 'event generate ...' which appears to give the same behavior
	in this instance.

2004-03-08  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/clrpick.tcl:

	clrpick.tcl causes portability issues with tk8.4... The basic
	functionality is available elsewhere anyway.

2004-03-07  J. Chris Coppick <jchris@users.sourceforge.net>

	* configure.in:

	Added config summary output at end of script (and supporting
	changes).

	More braindead Itcl library searching.

	Minor housekeeping.

2004-03-07  J. Chris Coppick <jchris@users.sourceforge.net>

	* Makefile.in:

	Added -DUSE_OLD_IMAGE to CC_OPTS to "fix" pixmap support.  This
	needs to be fixed for real at some point.

	Removed some cruft.

	Now "make clean" removes the generated version of the tkdesk main
	script.

2004-03-04  J. Chris Coppick <jchris@users.sourceforge.net>

	* tkdesk.main:

	Fixed splash screen image path.

2004-03-04  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/update.tcl:

	Added a file existence check to prevent a check of a file's mtime
	from generating an error for missing config files (e.g. Local).

2004-03-04  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/config.tcl:

	Commented out some unused code.

2004-03-03  J. Chris Coppick <jchris@users.sourceforge.net>

	* tcldesk/appbar-trash.tcl:

	Added checks for trashdir existence/file type.	Now creates
	trashdir on demand.

2004-03-02  J. Chris Coppick <jchris@users.sourceforge.net>

	* Makefile.in, configure.in:

	Updated to work with newer versions of autoconf (e.g. 2.57).  Only
	supporting Tcl/Tk 8.x.	Added override to allow use with
	unsupported Tcl/Tk.  Added hopefully more flexible configuration
	logic with regard to Itcl.

2004-02-29  J. Chris Coppick <jchris@users.sourceforge.net>

  - As of TkDesk 1.2.1, the source is under CVS.  The 1.2.1 source
    is tagged "tkdesk-1_2_1" (also "ver-1-2-1") and includes some
    fixes released after the 1.2 distribution.  Ver. 1.2.1 was never
    actually released.


